alias alert='notify-send --urgency=low -i "$([ $? = 0 ] && echo terminal || echo error)" "$(history|tail -n1|sed -e '\''s/^\s*[0-9]\+\s*//;s/[;&|]\s*alert$//'\'')"'
alias beep='echo -en "\007"'
alias calc='openoffice4 -calc'
alias ...='cd ../..'
alias ..='cd ..'
alias cd..='cd ..'
alias clipget='xclip -selection c -o'
alias clipset='xclip -selection c'
alias dch='dch --no-auto-nmu'
alias dfh='df -h -T -x squashfs -x tmpfs -x devtmpfs -x overlay'
alias dir='ls --color=auto --format=vertical'
alias dupterm='xterm -ls &'
alias dusa='du -s .[^.]* * | sort -nr | head -n 20'
alias egrep='egrep --color=auto'
alias fgrep='fgrep --color=auto'
alias gca='git commit -a'
alias gdif='git diff'
alias gitwork='{ git diff master... --name-only; git status -s | cut -b 4-; } | sort | uniq'
alias gl='git log'
alias grep='grep --color=auto'
alias igrep='grep -i'
alias la='ls -A'
alias ll='ls -lF'
alias l='ls -CF'
alias loc='locate -i'
alias lo='libreoffice'
alias ls-l='ls -l'
alias ls='ls --color=auto'
alias lS='ls -lSr'
alias man='LC_ALL=POSIX LANG=en man'
alias mcedit='LC_ALL=POSIX LANGUAGE=en LANG=en mcedit --colors normal=lightgray,default:selected=lightgray,red:marked=yellow,default:markselect=yellow,red'
alias mc='LC_ALL=POSIX LANGUAGE=en LANG=en mc -a --colors directory=green,default:executable=brightgreen,default:link=brightmagenta,default:device=brightblue,default:special=brightred,default:normal=lightgray,default:selected=lightgray,red:marked=yellow,default:markselect=yellow,red:core=cyan,default'
alias md='mkdir -p'
alias oofind='docfind'
alias oogrep='docgrep'
alias openoffice='libreoffice'
alias o='view -'
alias perlmodver='perl -e"eval qq{use \$ARGV[0];\\\$v=\\\$\${ARGV[0]}::VERSION;};print\$@?qq{No module found\n}:\$v?qq{Version \$v\n}:qq{Found.\n};"$1'
alias pogodagda='firefox "http://www.meteo.pl/um/php/meteorogram_list.php?ntype=0u&fdate=$(date +%Y%m%d06)&row=346&col=210&lang=pl&cname=Gda%F1sk"'
alias pogodakra='firefox "http://www.meteo.pl/um/php/meteorogram_list.php?ntype=0u&fdate=$(date +%Y%m%d06)&row=466&col=232&lang=pl&cname=Krak%F3w"'
alias pogodawaw='firefox "http://www.meteo.pl/um/php/meteorogram_list.php?ntype=0u&fdate=$(date +%Y%m%d06)&row=406&col=250&lang=pl&cname=Warszawa"'
alias -- -='popd'
alias +='pushd .'
alias pyurldecode='python -c "import sys, urllib; print urllib.unquote_plus(sys.argv[1])"'
alias pyurlencode='python -c "import sys, urllib; print urllib.quote_plus(sys.argv[1])"'
alias rd='rmdir'
alias rehash='hash -r'
alias r='fc -s'
alias si='svn info'
alias sl='svn log'
alias ss_='svn status'
alias ss?='svn status |grep -v ^\?'
alias sudomount='sudo mount'
alias sudoumount='sudo umount -v'
alias testprintparm='testparm -s -v | egrep -i "print\|lpq\|lprm\|lppause\|lpresume\|spool\|driver\|\["'
alias unmount='echo "Error: Try the command: umount" 1>&2; false'
alias uvim='vim -u NONE'
alias v='ls -log --color=auto'
alias va='v -a'
alias vah='v -ah'
alias vdir='ls --color=auto --format=long'
alias vh='v -h'
